* PACKAGE DCHEB  !" 力学 チェビシェフ関数展開
*
*"  [HIS] 92/09/16(takepiro)
*
**********************************************************************
      PROGRAM CHBTST
*
*   [PARAM] 
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数，波数
#else
#include        "zcdim.F"                    !" 格子点数，波数
#endif
*
      INTEGER    KMAXD
*
*   [MODIFY] 
      REAL       CDDATA ( NMDIM, KMAX )      !" 動径格子点データ
*
*   [INPUT] 
      REAL       CDATA ( NMDIM, KMAX )       !" 動径チェビシェフデータ
      CHARACTER  HGRAD*4                     !" 微分フラグ
      CHARACTER  HFUNC*4                     !" 符号フラグ
*
*   [INTERNAL WORK] 
      REAL       WORK  ( NMDIM, KMAX )
      REAL       CDER  ( KMAX )
      INTEGER    NM, K
*
      DO 1100 K = 1, KMAX+1 
         DO 1100 NM = 1, NMDIM
            CDATA ( NM, K ) = 0.0 
 1100 CONTINUE 
*
      CDATA ( 1, 6 ) = 1.0
*
      CALL CHBDER
     O              ( CDDATA, 
     I                CDATA , 1. , 
     M                NMDIM , KMAX    )
*
      CALL CHBDER
     O              ( CDDATA, 
     I                CDATA , 1. , 
     M                NMDIM , KMAX    )
*
      DO 1000 NM = 1, NMDIM
         DO 1000 K =1, KMAX
            WRITE ( 6, * ) NM, K, CDATA( NM, K ), CDDATA( NM, K )
 1000 CONTINUE 
*
      STOP
      END

